%define	module	HTTP-Request-AsCGI
%define	name	perl-%{module}
%define	modprefix HTTP
%define	version	0.5
%define	release	%mkrel 5

Summary:	Setup a CGI enviroment from a HTTP::Request
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
# http://search.cpan.org/src/CHANSEN/HTTP-Request-AsCGI-0.5/META.yml:
#     HTTP::Response:                1.53
# http://search.cpan.org/src/GAAS/libwww-perl-5.804/lib/HTTP/Response.pm = 1.52
BuildRequires:	perl(Carp)
BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(HTTP::Response) >= 1.53
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Test::More)
BuildRequires:	perl-libwww-perl >= 5.805
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
This module provides a convenient way of setting up an CGI enviroment
from an HTTP::Request object.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes examples
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*



%changelog
* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5-5mdv2008.1
+ Revision: 136998
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Sep 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-09-05 12:20:57 (60027)
- whitespace changed to fix mixed-use-of-spaces-and-tabs

* Tue Sep 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-09-05 12:17:13 (60025)
- spec file cleanup
- bump release for rebuild

* Tue Sep 05 2006 Scott Karns <scottk@mandriva.org>
+ 2006-09-05 12:10:48 (60024)
Import perl-HTTP-Request-AsCGI

* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 0.5-3mdk
- Updated BuildRequires
- Updated to comply with Mandriva perl packaging policies

* Mon Mar 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.5-2mdk
- buildrequire newer perl-libwww-perl (aid backport)

* Wed Jan 25 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.5-1mdk
- 0.5

* Mon Jan 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.3-1mdk
- 0.3

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-4mdk
- Fix BuildRequires

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-3mdk
- Fix BuildRequires

* Mon Dec 19 2005 Buchan Milne <bgmilne@mandriva.org> 0.2-2mdk
- Rebuild
- use mkrel

* Sat Dec 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.2-1mdk
- Initial MDV package

